POV-Ray : Newsgroups : povray.unix : segfault in povray Server Time: 26 Jun 2019 10:18:43 GMT
  segfault in povray (Message 1 to 7 of 7)  
From: wealthychef
Subject: segfault in povray
Date: 25 Jul 2014 00:40:01
Message: <web.53d1a71e5b77fa51784e7dc60@news.povray.org>
I'm rendering a scene that does render OK in povray 3.7 RC6, and get this
badness:

povray: backend/lighting/radiosity.cpp:324: virtual void
pov::RadiosityFunction::BeforeTile(int, unsigned int): Assertion `(pts >=
PRETRACE_FIRST) && (pts <= PRETRACE_MAX)' failed.
/usr/local/bin/povray3.7: line 11:  3097 Aborted                 (core dumped)
//usr/local/tools/povray-3.7.0/bin/povray.real "$@"

ugh!  Is there a stable release candidate newer than RC6 I can try?
Thganks


Post a reply to this message

From: Le Forgeron
Subject: Re: segfault in povray
Date: 25 Jul 2014 07:06:33
Message: <53d201f9@news.povray.org>
On 25/07/2014 02:38, wealthychef wrote:
> I'm rendering a scene that does render OK in povray 3.7 RC6, and get this
> badness:
> 
> povray: backend/lighting/radiosity.cpp:324: virtual void
> pov::RadiosityFunction::BeforeTile(int, unsigned int): Assertion `(pts >=
> PRETRACE_FIRST) && (pts <= PRETRACE_MAX)' failed.
> /usr/local/bin/povray3.7: line 11:  3097 Aborted                 (core dumped)
> //usr/local/tools/povray-3.7.0/bin/povray.real "$@"
> 
> ugh!  Is there a stable release candidate newer than RC6 I can try?
> Thganks
> 
> 
Known issue, in flyspray as #313 ( http://bugs.povray.org/ ).

A correction has been suggested (and I implemented it on my forks), but
it has not yet reach the official distribution.


-- 
IQ of crossposters with FU: 100 / (number of groups)
IQ of crossposters without FU: 100 / (1 + number of groups)
IQ of multiposters: 100 / ( (number of groups) * (number of groups))


Post a reply to this message

From: clipka
Subject: Re: segfault in povray
Date: 25 Jul 2014 07:07:01
Message: <53d20215$1@news.povray.org>
Am 25.07.2014 02:38, schrieb wealthychef:
> I'm rendering a scene that does render OK in povray 3.7 RC6, and get this
> badness:
>
> povray: backend/lighting/radiosity.cpp:324: virtual void
> pov::RadiosityFunction::BeforeTile(int, unsigned int): Assertion `(pts >=
> PRETRACE_FIRST) && (pts <= PRETRACE_MAX)' failed.
> /usr/local/bin/povray3.7: line 11:  3097 Aborted                 (core dumped)
> //usr/local/tools/povray-3.7.0/bin/povray.real "$@"
>
> ugh!  Is there a stable release candidate newer than RC6 I can try?
> Thganks

There is no such thing as a "stable release candidate" ;-)

And no, there also hasn't been any stable release after v3.7.0.0 yet. 
For a version to fix the above error (known as FS#313) you'll need to 
download any development version (the "master" branch) after 2013-12-16 
(or, more precisely, commit 278eb39).

I suggest one of the following:

- 
https://github.com/POV-Ray/povray/tree/ca930a9fd821020abc5fe91b21f45312794ca98d

(This was the last "master" commit before merging the first of my major 
code refactoring sprees.)

- 
https://github.com/POV-Ray/povray/tree/9b10411d2a662a1d1efae2a4080179d625af79e6

(This was the last "master" commit with the same set of functionality as 
v3.7.0.0 release proper.)

- 
https://github.com/POV-Ray/povray/tree/54b283a0d39c637ce9d4ab16512a364e993c58c5

(This is the latest and greatest, featuring fancy improvements to 
texture finish recently shown off in povray.binary.images. Do NOT use 
this if you want to force users to keep their scenes compatible with 
v3.7.0.0 stable ;-))


Post a reply to this message

From: clipka
Subject: Re: segfault in povray
Date: 25 Jul 2014 07:16:16
Message: <53d20440$1@news.povray.org>
Am 25.07.2014 09:06, schrieb Le_Forgeron:
> On 25/07/2014 02:38, wealthychef wrote:
>> I'm rendering a scene that does render OK in povray 3.7 RC6, and get this
>> badness:
>>
>> povray: backend/lighting/radiosity.cpp:324: virtual void
>> pov::RadiosityFunction::BeforeTile(int, unsigned int): Assertion `(pts >=
>> PRETRACE_FIRST) && (pts <= PRETRACE_MAX)' failed.
>> /usr/local/bin/povray3.7: line 11:  3097 Aborted                 (core dumped)
>> //usr/local/tools/povray-3.7.0/bin/povray.real "$@"
>>
>> ugh!  Is there a stable release candidate newer than RC6 I can try?
>> Thganks
>>
>>
> Known issue, in flyspray as #313 ( http://bugs.povray.org/ ).
>
> A correction has been suggested (and I implemented it on my forks), but
> it has not yet reach the official distribution.

... but a workaround has been implemented earlier.


Post a reply to this message

From: jhu
Subject: Re: segfault in povray
Date: 29 Jul 2014 01:30:01
Message: <web.53d6f81fbc0de6f27a5a9dde0@news.povray.org>
clipka <ano### [at] anonymousorg> wrote:
> Am 25.07.2014 09:06, schrieb Le_Forgeron:
> > On 25/07/2014 02:38, wealthychef wrote:
> >> I'm rendering a scene that does render OK in povray 3.7 RC6, and get this
> >> badness:
> >>
> >> povray: backend/lighting/radiosity.cpp:324: virtual void
> >> pov::RadiosityFunction::BeforeTile(int, unsigned int): Assertion `(pts >=
> >> PRETRACE_FIRST) && (pts <= PRETRACE_MAX)' failed.
> >> /usr/local/bin/povray3.7: line 11:  3097 Aborted                 (core dumped)
> >> //usr/local/tools/povray-3.7.0/bin/povray.real "$@"
> >>
> >> ugh!  Is there a stable release candidate newer than RC6 I can try?
> >> Thganks
> >>
> >>
> > Known issue, in flyspray as #313 ( http://bugs.povray.org/ ).
> >
> > A correction has been suggested (and I implemented it on my forks), but
> > it has not yet reach the official distribution.
>
> ... but a workaround has been implemented earlier.

Instead of using an assertion, why not do a check if pts is within bounds, and
if not then make pts equal to either min or max (whichever it's closest to)?


Post a reply to this message

From: clipka
Subject: Re: segfault in povray
Date: 29 Jul 2014 02:11:26
Message: <53d702ce$1@news.povray.org>
Am 29.07.2014 03:25, schrieb jhu:
> clipka <ano### [at] anonymousorg> wrote:
>> Am 25.07.2014 09:06, schrieb Le_Forgeron:
>>> On 25/07/2014 02:38, wealthychef wrote:
>>>> I'm rendering a scene that does render OK in povray 3.7 RC6, and get this
>>>> badness:
>>>>
>>>> povray: backend/lighting/radiosity.cpp:324: virtual void
>>>> pov::RadiosityFunction::BeforeTile(int, unsigned int): Assertion `(pts >=
>>>> PRETRACE_FIRST) && (pts <= PRETRACE_MAX)' failed.
>>>> /usr/local/bin/povray3.7: line 11:  3097 Aborted                 (core dumped)
>>>> //usr/local/tools/povray-3.7.0/bin/povray.real "$@"
>>>>
>>>> ugh!  Is there a stable release candidate newer than RC6 I can try?
>>>> Thganks
>>>>
>>>>
>>> Known issue, in flyspray as #313 ( http://bugs.povray.org/ ).
>>>
>>> A correction has been suggested (and I implemented it on my forks), but
>>> it has not yet reach the official distribution.
>>
>> ... but a workaround has been implemented earlier.
>
> Instead of using an assertion, why not do a check if pts is within bounds, and
> if not then make pts equal to either min or max (whichever it's closest to)?

No - no, that's not the point. The assertion it there because pts 
shouldn't be out of bounds in the first place; it's a strong indicator 
that something's wrong elsewhere. (Not that it seems to break anything 
important -- which is why I haven't spent any time on futher digging yet 
-- but it's wrong nonetheless.)

After all, that's what assertions are for.


Post a reply to this message

From: Le Forgeron
Subject: Re: segfault in povray
Date: 29 Jul 2014 07:02:59
Message: <53d74723$1@news.povray.org>
On 29/07/2014 04:11, clipka wrote:
> Am 29.07.2014 03:25, schrieb jhu:
>> clipka <ano### [at] anonymousorg> wrote:
>>> Am 25.07.2014 09:06, schrieb Le_Forgeron:
>>>> On 25/07/2014 02:38, wealthychef wrote:
>>>>> I'm rendering a scene that does render OK in povray 3.7 RC6, and
>>>>> get this
>>>>> badness:
>>>>>
>>>>> povray: backend/lighting/radiosity.cpp:324: virtual void
>>>>> pov::RadiosityFunction::BeforeTile(int, unsigned int): Assertion
>>>>> `(pts >=
>>>>> PRETRACE_FIRST) && (pts <= PRETRACE_MAX)' failed.
>>>>> /usr/local/bin/povray3.7: line 11:  3097 Aborted                
>>>>> (core dumped)
>>>>> //usr/local/tools/povray-3.7.0/bin/povray.real "$@"
>>>>>
>>>>> ugh!  Is there a stable release candidate newer than RC6 I can try?
>>>>> Thganks
>>>>>
>>>>>
>>>> Known issue, in flyspray as #313 ( http://bugs.povray.org/ ).
>>>>
>>>> A correction has been suggested (and I implemented it on my forks), but
>>>> it has not yet reach the official distribution.
>>>
>>> ... but a workaround has been implemented earlier.
>>
>> Instead of using an assertion, why not do a check if pts is within
>> bounds, and
>> if not then make pts equal to either min or max (whichever it's
>> closest to)?
> 
> No - no, that's not the point. The assertion it there because pts
> shouldn't be out of bounds in the first place; it's a strong indicator
> that something's wrong elsewhere. (Not that it seems to break anything
> important -- which is why I haven't spent any time on futher digging yet
> -- but it's wrong nonetheless.)
> 
> After all, that's what assertions are for.
> 
And you can keep the assertion, if you just apply the code of #313.

-- 
IQ of crossposters with FU: 100 / (number of groups)
IQ of crossposters without FU: 100 / (1 + number of groups)
IQ of multiposters: 100 / ( (number of groups) * (number of groups))


Post a reply to this message

Copyright 2003-2008 Persistence of Vision Raytracer Pty. Ltd.